function optionGenerator(optionText,optionCount) {
    // this function generates the html for a new option
    return '<li class="option"><span class="vote-count">' + optionCount.toString() + '</span> <span class="option-text">' + optionText + '</span> <a href="" class="vote-link"><img src="up_arrow_icon.gif"></a> <a href="" class="vote-down-link"><img src="down_arrow_icon.gif"></a> <a href="" class="delete-link">delete</a></li>';
};

$("#option-adder").live('submit', function(event) {
    // this function takes the new option text from the form and adds it to the list of options
    var newOpt = $("input:first").val();
    $("#option-list").append(optionGenerator(newOpt,0));
    $("input:first").val("");
    return false;
});

$(".delete-link").live('click', function(event) {
    // this runs the delete link on each of the options
    $(this).parent().remove();
    return false;
});

function updateCSS(item, newCount) {
    // this function handles changing the color of the vote counter background when the vote count changes
    if (newCount > 9) {
        $(item).parent().children('.vote-count').css('background','#FF99A7');
    }
    else if (newCount > 4) {
        $(item).parent().children('.vote-count').css('background','#FFCBAA');
    }
    else if (newCount > 0) {
        $(item).parent().children('.vote-count').css('background','#FEEF88');
    }
    else if (newCount == 0) {
        $(item).parent().children('.vote-count').css('background','#EFFE99');
    }
    else {
        $(item).parent().children('.vote-count').css('background','#DFFFA9');
    }
}

$(".vote-link").live('click', function(event) {
    // this handles clicks on the up arrow and ups the vote tally
    var count = $(this).parent().children('.vote-count').text();
    var newCount = parseInt(count) + 1
    
    $(this).parent().children('.vote-count').text(newCount.toString());
    
    updateCSS(this,newCount);

    return false;
});

$(".vote-down-link").live('click', function(event) {
    // this handles clicks on the down arrow and decreases the vote tally
    var count = $(this).parent().children('.vote-count').text();
    var newCount = parseInt(count) - 1
    
    $(this).parent().children('.vote-count').text(newCount.toString());
    
    updateCSS(this,newCount);

    return false;
});